Package pygccxml :: Package declarations :: Module cpptypes :: Class calldef_type_t

# type calldef_type_t

source code

    object --+
             |
            calldef_type_t

Known Subclasses:
  - free_function_type_t
  - , member_function_type_t

base class for all types that describes "callable" declaration

Instance Methods

__init__(self, return_type=None, arguments_types=None) | source code

Properties
| return_type reference to return type
| arguments_types list of argument types
| has_ellipsis

Method Details

### __init__(self, return_type=None, arguments_types=None)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

Property Details

### return_type

reference to return type

Get Method:
  _get_return_type(self)
Set Method:
  _set_return_type(self, new_return_type)

### arguments_types

list of argument types

Get Method:
  _get_arguments_types(self)
Set Method:
  _set_arguments_types(self, new_arguments_types)

### has_ellipsis